Subject: bug#13790: Cannot paste with C-y into Homebrew emacs v24.2.1

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Mar 2013 20:42:56 -0500

> By default, yes, but this is the precise reason
> interprogram-cut-function and interprogram-paste-function exist.
> pbcopy and pbpaste are the OS X equivalents of xclip, and the snippet
> I pasted provides an interface to them like the interface to xclip
> provided by http://www.emacswiki.org/emacs/xclip.el .  Many users are
> unaware of the existence of these variables, which results in
> confusion and the filing of bugs such as this.  Users would be more
> likely to discover them if the error messages complaining about an
> empty kill ring in -nw sessions were to mention their existence.

Indeed.  Maybe your patch should be merged with xclip.el?

        Stefan